OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESGraph

# IGESGraph_DrawingUnits Class Reference

defines IGESDrawingUnits, Type <406> Form <17>
in package IGESGraph

`#include <IGESGraph_DrawingUnits.hxx>`

Inheritance diagram for IGESGraph_DrawingUnits:

[legend]

## Public Member Functions
Standard_EXPORT | IGESGraph_DrawingUnits ()
Standard_EXPORT void | Init (const Standard_Integer nbProps, const Standard_Integer aFlag, const Handle(TCollection_HAsciiString)&aUnit)
| This method is used to set the fields of the class DrawingUnits - nbProps : Number of property values (NP = 2) - aFlag : DrawingUnits Flag - aUnit : DrawingUnits Name .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values in <me>
Standard_EXPORT Standard_Integer | Flag () const
| returns the drawing space units of <me>
Standard_EXPORT Handle_TCollection_HAsciiString | Unit () const
| returns the name of the drawing space units of <me>
Standard_EXPORT Standard_Real | UnitValue () const
| Computes the value of the unit, in meters, according Flag (same values as for GlobalSection from IGESData) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Standard_Integer | theFlag
Handle_TCollection_HAsciiString | theUnit

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_DrawingUnits::IGESGraph_DrawingUnits | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESGraph_DrawingUnits::Flag | ( |  | ) | const

Standard_EXPORT const IGESGraph_DrawingUnits::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESGraph_DrawingUnits::Init | ( | const Standard_Integer | nbProps,
|  | const Standard_Integer | aFlag,
|  | const Handle(TCollection_HAsciiString)& | aUnit
| ) |

Standard_EXPORT Standard_Integer IGESGraph_DrawingUnits::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESGraph_DrawingUnits::Unit | ( |  | ) | const

Standard_EXPORT Standard_Real IGESGraph_DrawingUnits::UnitValue | ( |  | ) | const

## Field Documentation

Standard_Integer IGESGraph_DrawingUnits::theFlag`[private]`

Standard_Integer IGESGraph_DrawingUnits::theNbPropertyValues`[private]`

Handle_TCollection_HAsciiString IGESGraph_DrawingUnits::theUnit`[private]`

The documentation for this class was generated from the following file:

- IGESGraph_DrawingUnits.hxx